[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomUpDown.Click

Handles a mouse click on a speed button in the control.

## Declaration

Source position: comctrls.pp line 1989

`protected procedure TCustomUpDown.Click(`
`Button: TUDBtnType`
`); virtual; overload;`

## Arguments

`Button` |  | Identifies the button clicked on the control.

## Description

Click is an overloaded method in TCustomUpDown used to respond to a mouse click on the speed button specified in Button. Click ensures that the button click is applied to the value in Position. It uses the values in Increment, Min, and Max to validate and range limit the new value according to the Button clicked on the control.

Click calls CanChange to determine whether the new value can be applied to the Position property. If CanChange returns False, the new value is not applied. If it returns True, the value is Position is updated and the OnClick event handler is signalled (when assigned).

Remark: | Click does not call the inherited (parameter-less) method in TControl.

## See also

TCustomUpDown.Position |  | The current position (or value) for the control as a SmallInt type.
TCustomUpDown.Increment |  | The amount by which Position is increased or decreased for each button click.
TCustomUpDown.Min |  | The smallest value allowed in the Position property.
TCustomUpDown.Max |  | The largest value allowed in the Position property.
TCustomUpDown.CanChange |  | Indicates whether a change using the control can be applied.
TControl.Click |  | Signals OnClick and/or executes the ActionLink when the control has been clicked.